body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
}

h1 {
  text-align: center;
}

.input-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  width: 800px;
  margin: 0 auto;

}

.input-group {
  display: inline-block;
}

.input-group input {
  margin: 0px;
  padding: 4px;
  text-align: left;
  color: #000;
}

#input1,
#input3,
#input5,
#input7,
#input9,
#input11,
#input13,
#input15 {
  font-family: 'Roboto-Medium', Arial, sans-serif;
  width: 160px;
}

#input2,
#input4,
#input6,
#input8,
#input10,
#input12,
#input14,
#input16 {
  font-family: 'Roboto-Regular', Arial, sans-serif;
  width: 160px;
}

@font-face {
  font-family: 'Roboto-Medium';
  src: url('Roboto-Medium.ttf');
}

@font-face {
  font-family: 'Roboto-Regular';
  src: url('Roboto-Regular.ttf');
}

h2 {
  text-align: center;
  margin-top: 20px;
}

.preview-container {
  text-align: center;
    pointer-events: none;     /* 阻止鼠标事件 */
  -webkit-user-drag: none;   /* 禁止拖拽（WebKit内核浏览器） */
  user-select: none;         /* 禁止文本选择 */
}


.button-container {
  text-align: center;
  margin-top: 20px;
}

button {
  margin: 5px;
  padding: 10px 20px;
  cursor: pointer;
}

#loading-mask {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

#loading-mask p {
  color: white;
  font-size: 24px;
}